<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0"
		xmlns="http://www.w3.org/1999/xhtml"
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:import href="common.xsl"/>

	<!-- overview of your credentials -->
	<xsl:template match="settings" mode="title">
		<xsl:text>Preferences</xsl:text>
	</xsl:template>

	<xsl:template match="settings">
		<xsl:apply-templates select="settings/warn"/>
		<xsl:apply-templates select="settings/remember"/>
		<xsl:apply-templates select="settings/spnego"/>
	</xsl:template>

	<xsl:template match="warn[.='true']">
		<p>Warnings are currently enabled. <form action="settings" method="post" style="display: inline">
			<input type="hidden" name="nonce" value="{/settings/nonce}"/>
			<input type="hidden" name="warn" value="false"/>
			<button type="submit">Disable</button>
		</form></p>
	</xsl:template>

	<xsl:template match="warn">
		<p>Warnings are currently disabled. <form action="settings" method="post" style="display: inline">
			<input type="hidden" name="nonce" value="{/settings/nonce}"/>
			<input type="hidden" name="warn" value="true"/>
			<button type="submit">Enable</button>
		</form></p>
	</xsl:template>

	<xsl:template match="remember[.='true']">
		<p>Starting a session is enabled by default. <form action="settings" method="post" style="display: inline">
			<input type="hidden" name="nonce" value="{/settings/nonce}"/>
			<input type="hidden" name="remember" value="false"/>
			<button type="submit">Disable</button>
		</form></p>
	</xsl:template>

	<xsl:template match="remember">
		<p>Starting a session is disabled by default. <form action="settings" method="post" style="display: inline">
			<input type="hidden" name="nonce" value="{/settings/nonce}"/>
			<input type="hidden" name="remember" value="true"/>
			<button type="submit">Enable</button>
		</form></p>
	</xsl:template>

	<xsl:template match="spnego[.='true']">
		<p>Domain logon is currently enabled. <form action="settings" method="post" style="display: inline">
			<input type="hidden" name="nonce" value="{/settings/nonce}"/>
			<button type="submit" name="spnego" value="false">Disable</button>
		</form></p>
	</xsl:template>

	<xsl:template match="spnego">
		<p>Domain logon is currently disabled. <form action="settings" method="post" style="display: inline">
			<input type="hidden" name="nonce" value="{/settings/nonce}"/>
			<button type="submit" name="spnego" value="true">Enable</button>
		</form></p>
	</xsl:template>
</xsl:stylesheet>
