# $Id: Document.pm 42299 2014-09-26 14:30:54Z wsl $
# $URL: https://svn.uvt.nl/its-id/trunk/sources/aselect-perl/lib/Aselect/UI/Settings/Document.pm $

use strict;
use warnings FATAL => 'all';
use utf8;

package Aselect::UI::Settings::Document;

use Aselect::UI::Document -self;

use constant rootname => 'settings';

sub response {
	my $res = super;
	my $req = $self->req;

	if((my $warn = $req->new_warn) ne $req->cur_warn) {
		my $cookie = $self->bakecookie(warn => $warn);
		if($warn eq 'true') {
			$cookie->expire('1y');
		} else {
			$cookie->expire(0);
		}
		$res->setcookie($cookie);
	}

	if((my $remember = $req->new_remember) ne $req->cur_remember) {
		my $cookie = $self->bakecookie(remember => $remember);
		if($remember eq 'false') {
			$cookie->expire('1y');
		} else {
			$cookie->expire(0);
		}
		$res->setcookie($cookie);
	}

	if((my $spnego = $req->new_spnego) ne $req->cur_spnego) {
		my $cookie = $self->bakecookie(spnego => $spnego);
		if($spnego eq 'auto') {
			$cookie->expire(0);
		} else {
			$cookie->expire('1y');
		}
		$res->setcookie($cookie);
	}

	return $res;
}
